Package org.eclipse.net4j.util.ui

## Class DefaultActionFilter<RECEIVER>

- java.lang.Object
- - org.eclipse.net4j.util.ui.DefaultActionFilter<RECEIVER>

- All Implemented Interfaces:
    `IActionFilter`

      public class DefaultActionFilter<RECEIVER>
      extends java.lang.Object
      implements IActionFilter

  Since:
    3.4
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultActionFilter​(IPropertyProvider<RECEIVER> provider)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `testAttribute​(java.lang.Object target, java.lang.String name, java.lang.String value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultActionFilter

          public DefaultActionFilter​(IPropertyProvider<RECEIVER> provider)

  - ### Method Detail

    - #### testAttribute

          public boolean testAttribute​(java.lang.Object target,
                                       java.lang.String name,
                                       java.lang.String value)

      Specified by:
        `testAttribute` in interface `IActionFilter`